Skip Menu |
 

This queue is for tickets about the Module-Install CPAN distribution.

Report information
The Basics
Id: 38050
Status: open
Priority: 0/
Queue: Module-Install

People
Owner: Nobody in particular
Requestors: tod222 [...] gmail.com
Cc:
AdminCc:

Bug Information
Severity: Important
Broken in: (no value)
Fixed in: (no value)



Subject: auto_install fails on local non-root installs
Download (untitled) / with headers
text/plain 1.2k
Details on the local install from MyConfig.pm: ------ 'build_dir' => q[/home/tod/.cpan/build], 'cpan_home' => q[/home/tod/.cpan], 'histfile' => q[/home/tod/.cpan/histfile], 'keep_source_where' => q[/home/tod/.cpan/sources], 'make_install_arg' => q[], 'makepl_arg' => q[INSTALLDIRS=site PREFIX=/home/tod/local], 'prerequisites_policy' => q[follow], ------ Yet several levels down while processing dependencies when installing MooseX::Object::Pluggable: ------ Running make for B/BL/BLBLACK/Class-C3-0.19.tar.gz Is already unwrapped into directory /home/tod/.cpan/build/Class-C3-0.19 CPAN.pm: Going to build B/BL/BLBLACK/Class-C3-0.19.tar.gz /usr/bin/perl "-Iinc" Makefile.PL --config= --installdeps=Algorithm::C3,0.06,Class::C3::XS,0.07 Cannot determine perl version info from lib/Class/C3.pm *** Installing dependencies... *** You are not allowed to write to the directory '/usr/local/share/perl/5.8.8'; the installation may fail due to insufficient permissions. ==> Should we try to re-execute the autoinstall process with 'sudo'? [y] ------ The install should not be touching /usr/local/share/perl/5.8.8 at all, ever. This happens because auto_install doesn't correctly handle CPAN.pm <b>makepl_arg</b> settings. I stopped using auto_install in my own package due to this problem.
From: tod222 [...] gmail.com
Download (untitled) / with headers
text/plain 757b
More info: It works under interactive CPAN Shell, but not from a script. auto_install appears not to be able to detect that it's running under CPAN when CPAN::Shell->install is called, see sample code at bottom. (The Class-C3 dependency is under Moose, MooseX::Object::Pluggable is pulling the latest version.) This code gets the error installing Class-C3 (it assumes a local .cpan/perl is already set up and the PATH and PERL5LIB environment variables reflect that): --------- #!/usr/bin/perl die "Sorry, this script is designed NOT to run as root!\n" if $< == 0 or $> == 0; use strict; use warnings; use CPAN; my $installpkg = 'Moose'; print "Installing $installpkg\n"; CPAN::Shell->install($installpkg); print "\nDone installing $installpkg\n";
Download (untitled) / with headers
text/plain 450b
On Wed Jul 30 17:31:33 2008, tod222 wrote: Show quoted text
> More info: > > It works under interactive CPAN Shell, but not from a script. > auto_install appears not to be able to detect that it's running under > CPAN when CPAN::Shell->install is called, see sample code at bottom.
A lot of work was done on M::AI last year to make cpan clients interoperate smoothly. Do you have the ability to verify that this bug has been resolved, so we can close the bugreport?


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.